Debian GNU/Linux

"Print black" does not use black ink cartridge

Reported by ricardisimo on 2008-05-28
148
This bug affects 23 people
Affects Status Importance Assigned to Milestone
HPLIP
High
Unassigned
hplip (Debian)
Confirmed
Unknown
hplip (Ubuntu)
High
HP Linux Imaging and Printing
Nominated for Hardy by Stefan P.

Bug Description

Binary package hint: openoffice.org

If I want to save money and print black text with black ink, I have to select the "greyscale" printout mode. Of course, when I do that, my images also come out black & white. There are evidently workarounds, or I can run the pages through twice and hope the alignment is perfect, but I don't think that should be necessary.

I'm running Kubuntu Hardy (8.04) with linux kernel 2.6.24-17-generic.

The version of OpenOffice.org is 1:2.4.0-3ubuntu6.

My printer is an HP Officejet 5610 All-in-One, which is a USB printer.

I thank you in advance for everything you do.

ProblemType: Bug
Architecture: i386
Date: Tue May 27 22:04:32 2008
DistroRelease: Ubuntu 8.04
NonfreeKernelModules: ath_hal
Package: openoffice.org-core 1:2.4.0-3ubuntu6
PackageArchitecture: i386
ProcEnviron:
 PATH=/usr/lib/openoffice/program:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: openoffice.org
Uname: Linux 2.6.24-17-generic i686

ricardisimo (ricardisimo) wrote :
ricardisimo (ricardisimo) wrote :

I probably should have clarified that when I select "File >> Print... >> Printer Options >> Contents >> Print black" the black text is not, in fact, being printed with the black ink cartridge, but with the tri-color, and as this cartridge slowly runs out, my "black" slowly turns pink... salmon actually. Thank you once again.

Chris Cheney (ccheney) wrote :

Do other Ubuntu applications print using fake black or just openoffice.org?

Thanks,

Chris Cheney

Changed in openoffice.org:
status: New → Incomplete
ricardisimo (ricardisimo) wrote :

I've never seen a "Print black" option in any other application outside of OOo. The point to the bug is precisely THAT option not working. If there's another app with a "Print black" option, I'll gladly test it out.

However, I'm not real keen on wasting several ink cartridges on several apps. I only know it's a problem when the ink runs out. So, what I can do is make a note to myself not to change the dying cartridge until I can test it out on whatever other applications you have in mind.

ricardisimo (ricardisimo) wrote :

Oh! you want to know if other apps print in "real" black ink normally, or simulated black? In other words, regardless of any "Print black" option, what ink cartridge is being used to print black?

That is a very good question, and one that someone other than myself should know, unless you think this might be system-specific, i.e. my comp and my printer. Again, I'm not eager to blow an ink cartridge on testing this, but I will make a note to myself to try printing in Kate, KWord, etc. once the current one starts to die out. Thanks again for everything.

Chris Cheney (ccheney) wrote :

Yea, what I meant is that it may be possible to be a bug in cups/printer driver versus openoffice.org. Printing from a regular gnome app when your color cartridge is low should be able to prove whether it is an OOo bug or something wrong with the printing subsystem. I will see if I can find out from OOo developers if it is a known issue as well.

Thanks,

Chris

Chris Cheney (ccheney) on 2008-06-12
Changed in openoffice.org:
status: Incomplete → New
ricardisimo (ricardisimo) wrote :

So, the stars finally aligned, and not only was a cartridge (tri-color, specifically) running low, but I also had the presence of mind to test out the problem. I printed out a black-ink document with KPDF and sure enough, I started getting that purplish pinkish color instead of black by the second page.

Does this mean that this is something like a CUPS issue - or whatever the KDE correlate is?

Is there anything I can provide? Maybe scans of sample printings?

Chris Cheney (ccheney) wrote :

Yes, this sounds like a cupsys issue or at least a printer definition issue for your printer in cupsys. Reassigning to cupsys.

Thanks!

Chris Cheney

Changed in openoffice.org:
importance: Undecided → High
Till Kamppeter (till-kamppeter) wrote :

This is a problem of how the printer is supported by its driver, or even of the printer's firmware.

HP has two classes of printers: Cheaper ones where the driver needs to control everything and more expensive ones where the driver sends an RGB image and the printer does automatically what it thinks to be the best.

In the former case check whether the option "Quality" gives you choices for using only the black cartridge.

If such choices are not there, you have perhaps one of the more intelligent HPs. Here you cannot influence the printer by software which cartridges to use. At least some of them print only with the black cartridge if no color cartridge is installed. Try this out.

David, Don, Shiyun, can you check whether one could do the following improvements:

1. For LIDIL printers: Offer always a "Quality" setting for the printer with only one cartridge (only black, only color)

2. For the RGB printers: If it is possible to control by software that only the black cartridge get used, offer an option (or a "Quality" setting) in the HPIJS driver, which activates the "only black cartridge" mode.

ricardisimo (ricardisimo) wrote :

Here are screenshots of somewhat typical print options, varying slightly from one app to another. I haven't had great luck uploading to Launchpad in the past, so bear with me if it doesn't work.

ricardisimo (ricardisimo) wrote :

These are both from Firefox's "Print..." option dialog.

ricardisimo (ricardisimo) wrote :

By the way, I'm already doing what you suggest; it's a pain, but for a OOo text document with color graphic inserted, I run it through the printer once with the "Print" option unchecked on the graphical items, and with black font color via the "black ink cartridge only" setting (I'm not sure of the exact phrase.) Then I change the color of all text and borders to white, re-check the "Print" option for each graphic, and run all of my pages through again.

As you might imagine, it's a pain, and I'd love to avoid it. Thanks for everything you do. You guys are superheroes.

james55 (james-digitalinfoz) wrote :

Yea, what I entailed is that it may be potential to be a beleaguer in cups/printer number one wood against openoffice.org. Publishing from an undomesticated gnome app when your color cartridge is low should be able to prove whether it is an Oyo bug or something wrong with the printing system. I will see if I can find out from Oyo photographic equipment if it is a known issue as well.
_____________________________________
james
Great Deals on Printer Ink Cartridges - Up to 65% Off HP, Espon, Lexmark, Dell, Canon and more.
<a href="http://www.concordsupplies.com/ink-cartridges.html">Ink Cartridges</a>

Xamusk (ronanpaixao) wrote :

Actually, this is a pretty old bug (I have noticed that since I bought my printer 4 years ago).

For those who are still wondering, it's a cupsys/printer driver problem. As it is, it doesn't matter what options one selects at the app itself, unless they are in the print dialog through the options that cups itself provides.

For printing Color, one has to explicitly select Black cartridge only in the driver's options to use the black cartridge. Otherwise it will use simulated black even if printing pure-text with the driver selected with Color+Black cartridge.

That has forced me to change printer options for every single document I have to print since I switched to Linux. I have even considered making classes in cups to make color selection as a printer selection, but unfortunately cups won't allow changing those options in a class.

Mary (kayak10309) wrote :

So glad I found you folks. I don't understand a lot of the technical talk, but its been making me crazy that my color cartridge is getting lower when I haven't even been using color (so I thought). I have HP Photosmart 8050, I print from Wordperfect, or emails, or Adobe documents. I use the print option under properties called "color", print in Greyscale, black ink only. Not sure that this plan is truly working, and am ready to yank the color cartridge out so I can save it for when I want to print photos.
Any direct advice would be truly appreciated (but keep it simple...)

Eduardo Cereto (dudus) wrote :

Hi Mary, here's the workaround that works for me, not sure if it will work for everybody.

 - When printing something access the Advanced tab under print dialog
 - On General set Normal (Color)
 - On Print out mode select 300dpi, Color, Black + Color Cartr.

This is the settings for me using HP Officejet 41xx and 42xx with hplip drivers. Depending on your printer it may be a little different, but the important part is to select a print out mode that explicitly uses the black cartridge.

If I leave Print out in auto it will print using only the color cartr. Now this seem like a stupid bug for me. If I'm right it looks like a rather simple bug to solve.

You can usually recognize if you're printer is using the black cartr. or not because the final document will appear grayish if it doesn't.

Can you guys confirm if the workaround works for you?

Hi -
Thanks for your email..
I have no idea what HPLIP means, or how I even can find that out about my
printer. BUT, be that as it may, at least the final document(s) are not grayish.
My settings for the HP Photosmart 8050 are not quite the same as yours, so I
can't select the "300dpi, Color, Black + Color Cartr" that you can do, so I
have to assume that what I do my way (as per my letter to the launchpad site)
is as close as I can get...for now, anyhow.
Thanks again for your helpfulness,
        Mary

In a message dated 12/4/2008 11:27:26 A.M. Eastern Standard Time,
<email address hidden> writes:

Hi Mary, here's the workaround that works for me, not sure if it will
work for everybody.

- When printing something access the Advanced tab under print dialog
- On General set Normal (Color)
- On Print out mode select 300dpi, Color, Black + Color Cartr.

This is the settings for me using HP Officejet 41xx and 42xx with hplip
drivers. Depending on your printer it may be a little different, but the
important part is to select a print out mode that explicitly uses the
black cartridge.

If I leave Print out in auto it will print using only the color cartr.
Now this seem like a stupid bug for me. If I'm right it looks like a
rather simple bug to solve.

You can usually recognize if you're printer is using the black cartr. or
not because the final document will appear grayish if it doesn't.

Can you guys confirm if the workaround works for you?

--
"Print black" does not use black ink cartridge
https://bugs.launchpad.net/bugs/235399
You received this bug notification because you are a direct subscriber
of the bug.

Status in HP Linux Imaging and Printing: New
Status in “hplip” source package in Ubuntu: New

Bug description:
Binary package hint: openoffice.org

If I want to save money and print black text with black ink, I have to
select the "greyscale" printout mode. Of course, when I do that, my images also
come out black & white. There are evidently workarounds, or I can run the pages
through twice and hope the alignment is perfect, but I don't think that
should be necessary.

I'm running Kubuntu Hardy (8.04) with linux kernel 2.6.24-17-generic.

The version of OpenOffice.org is 1:2.4.0-3ubuntu6.

My printer is an HP Officejet 5610 All-in-One, which is a USB printer.

I thank you in advance for everything you do.

ProblemType: Bug
Architecture: i386
Date: Tue May 27 22:04:32 2008
DistroRelease: Ubuntu 8.04
NonfreeKernelModules: ath_hal
Package: openoffice.org-core 1:2.4.0-3ubuntu6
PackageArchitecture: i386
ProcEnviron:
PATH=/usr/lib/openoffice/program:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr
/bin:/sbin:/bin:/usr/games
LANG=en_US.UTF-8
SHELL=/bin/bash
SourcePackage: openoffice.org
Uname: Linux 2.6.24-17-generic i686

**************Make your life easier with all your friends, email, and
favorite sites in one place. Try it now.
(http://www.aol.com/?optin=new-dp&icid=aolcom40vanity&ncid=emlcntaolcom00000010)

If you want the printer to print in true black you can select (300/600/1200dpi) Grayscale, Black cartridge.

The easiest way to do this is to to run hp-toolbox, click the printer, then click print settings, under "Quality' select the setting you'd like.

To run hp-toolbox in ubuntu you may need to run:

sudo apt-get install hplip-gui

then run

hp-toolbox

I've looked in the Photosmart 8000 series ppd and it does have these options so you should have them as well.

Also another way to do this is to run hp-setup to configure another printer queue, then configure that queue with the settings you prefer. Then when you want to print true black you print to the other print queue, and then you want to print color you print to the color printer queue.

Hope this helps.

Aaron

Aaron, here I think HPLIP (Mary, HPLIP is HP's driver package for their printers and multi-function devices) should get more user-friendly.

As HPLIP PPDs are noe generated by CUPS DDK and not by Foomatic any more, one could introduce an "Installable Options" group in which the administrator can tell which hardware configuration of the given printer is actually used, like we know already from the PostScript models. UIConstraints can hide or gray (depends on the application's UI) extra trays or duplex settings if appropriate accessories are not installed.

For LIDIL printers (and generally printers where the driver must know about the actually installed cartridges) the group can in addition contain also an "InkSet" option, in which the user configures which cartridges he has actually installed. An UI constraint will then exclude the "Quality" settings which are not suitable for the given ink set.

This would break the PrintoutMode option, as the "Quality" settings behind of some of its choices could be disqualified by the given ink set. And we must conserve the PrintoutMode option, as in the Common Printing Dialog (https://www.linuxfoundation.org/en/OpenPrinting/CommonPrintingDialog) it will translate into the Quick Preset buttons.

So we do not let the PrintoutMode option be a Foomatic composite option any more. We let Quality, PrintoutMode, and InkSet all inject command line fragments into the GhostScript/HPIJS command line. If Quality is not set to "FromPrintoutMode" HPIJS will use the Quality setting (and perhaps use the closest suitable or exit with an error if it conflicts with InkSet). If Quality is set to "FromPrintoutMode" HPIJS will take the PrintoutMode setting and look up in an internal table which Quality it has to use dependent on the given InkSet and PrintoutMode.

This way the default setting of PrintoutMode is always "Normal" and of Quality always "FromPrintoutMode". Modern printer setup tools automatically ask the user for setting the "Installable Options" and so the user gets asked which cartridges he has. So InkSet gets set correctly and the printer makes always best use of the cartridges. And if the suer switches to "Draft", "High", or "Photo" HPIJS uses the Quality setting which makes best use of the cartridges in these modes.

Aaron (or anyone else there at HP), what do you think?

Mary (kayak10309) wrote :
Download full text (4.5 KiB)

LOL - I was in the HP website and finally found out for myself what the LIP
was for! You can understand why I ask to keep things simple for me
.

I have found since these discussions began I have more options for printing
than I previously had thought. The tabs themselves do indeed offer the dpi
option which I thought I did not have, amongst other options. BUT the options
sort of disappear after printing or turning off the puter, so I'm wondering
if one can make the chosen options stay put, until one wants to change them in
order to print other things.

I value these communications. Thanks very much!

In a message dated 12/4/2008 3:48:27 P.M. Eastern Standard Time,
<email address hidden> writes:

Aaron, here I think HPLIP (Mary, HPLIP is HP's driver package for their
printers and multi-function devices) should get more user-friendly.

As HPLIP PPDs are noe generated by CUPS DDK and not by Foomatic any
more, one could introduce an "Installable Options" group in which the
administrator can tell which hardware configuration of the given printer
is actually used, like we know already from the PostScript models.
UIConstraints can hide or gray (depends on the application's UI) extra
trays or duplex settings if appropriate accessories are not installed.

For LIDIL printers (and generally printers where the driver must know
about the actually installed cartridges) the group can in addition
contain also an "InkSet" option, in which the user configures which
cartridges he has actually installed. An UI constraint will then exclude
the "Quality" settings which are not suitable for the given ink set.

This would break the PrintoutMode option, as the "Quality" settings
behind of some of its choices could be disqualified by the given ink
set. And we must conserve the PrintoutMode option, as in the Common
Printing Dialog
(https://www.linuxfoundation.org/en/OpenPrinting/CommonPrintingDialog)
it will translate into the Quick Preset buttons.

So we do not let the PrintoutMode option be a Foomatic composite option
any more. We let Quality, PrintoutMode, and InkSet all inject command
line fragments into the GhostScript/HPIJS command line. If Quality is
not set to "FromPrintoutMode" HPIJS will use the Quality setting (and
perhaps use the closest suitable or exit with an error if it conflicts
with InkSet). If Quality is set to "FromPrintoutMode" HPIJS will take
the PrintoutMode setting and look up in an internal table which Quality
it has to use dependent on the given InkSet and PrintoutMode.

This way the default setting of PrintoutMode is always "Normal" and of
Quality always "FromPrintoutMode". Modern printer setup tools
automatically ask the user for setting the "Installable Options" and so
the user gets asked which cartridges he has. So InkSet gets set
correctly and the printer makes always best use of the cartridges. And
if the suer switches to "Draft", "High", or "Photo" HPIJS uses the
Quality setting which makes best use of the cartridges in these modes.

Aaron (or anyone else there at HP), what do you think?

--
"Print black" does not use black ink cartridge
https://bugs.launchpad.net/bugs/235399
Y...

Read more...

Xamusk (ronanpaixao) wrote :

I think the true problem lies in that when one has a mixed document (text and graphics), the user must use color cartridges because of the graphics, but the text ends up printed with the color cartridge, even when using "Color+Black Cartr." in PrintoutMode.

The driver should use both cartridges in this case, or the printer would use just CMY instead of CMYK and the text would be grayed out.

ricardisimo (ricardisimo) wrote :

I tried the Color + Black settings, and to the naked eye, the results looked identical to the same page printed in grayscale. However, to Xamusk's point, the page in question had neither graphics nor colored text on it. I need to check my HP at home (Photosmart 5180) but if memory serves, it doesn't have these same problems as my 5610 Officejet. Don't quote me on that yet, though. Thanks again to everyone.

David Rahrer (david-rahrer) wrote :

I'm having the same problem as the OP. I'm on Hardy and using an HP OfficeJet 5610. I went looking for a reason why my color ink was being drained on black text documents printed in OpenOffice (though I've confirmed it does the same in Abiword). I've read a lot tonight, including this thread, and I'm still rather confused as to why the printer would ever use color to produce black and white, particularly when there is a full black cartridge. In this case, there wasn't a single pixel of color in the entire document, which adds to the confusion. For what ink costs, I'm motivated to find out more!

Could someone help me understand the difference between "Printout Mode" and the second option which provides a bunch of resolution/color combinations? Is Printout Mode simply a few main options with all those other things preset in most often used bundles? Or is there something I will be missing if I set a quality combination on my own in the second section? Until now I've just left HPLIP settings on automatic and assumed that the application would call for what it needed. If I set this to something specific as has been suggested, like 300dpi, color, black + color cart, will this cause issues for other programs?

Most of the accounts I have found about this issue involve the HP 5610, FWIW. Let me know if I can provide any useful information.

Mary (kayak10309) wrote :
Download full text (3.7 KiB)

Ok, what I've been doing with my HP Photosmart 8050, even after all the
wonderful discussion and Q and A's from folks lots smarter than me, is this: In
Preferences, I change the "Printing Shortcuts" to General Everyday Printing
(the default is, on mine anyway, is Custom Print Settings. THEN I go to the tab
that says
"Color" and click Print in Greyscale, and I click Use Black Ink Only.

Now, I am SURE that my color cartridge is not going down as quickly as it
was before I even found you folks. Also, probably what I'm doing is not
altogether correct, or maybe too many steps, blah-blah-blah, but so far is works for
me. It's obvious I don't print alot, so it's not a big deal to do it...Can't
get hubby to do it, tho, and he's the one that prints the most!

Good luck,
  Mary

In a message dated 12/22/2008 12:06:01 A.M. Eastern Standard Time,
<email address hidden> writes:

I'm having the same problem as the OP. I'm on Hardy and using an HP
OfficeJet 5610. I went looking for a reason why my color ink was being
drained on black text documents printed in OpenOffice (though I've
confirmed it does the same in Abiword). I've read a lot tonight,
including this thread, and I'm still rather confused as to why the
printer would ever use color to produce black and white, particularly
when there is a full black cartridge. In this case, there wasn't a
single pixel of color in the entire document, which adds to the
confusion. For what ink costs, I'm motivated to find out more!

Could someone help me understand the difference between "Printout Mode"
and the second option which provides a bunch of resolution/color
combinations? Is Printout Mode simply a few main options with all those
other things preset in most often used bundles? Or is there something I
will be missing if I set a quality combination on my own in the second
section? Until now I've just left HPLIP settings on automatic and
assumed that the application would call for what it needed. If I set
this to something specific as has been suggested, like 300dpi, color,
black + color cart, will this cause issues for other programs?

Most of the accounts I have found about this issue involve the HP 5610,
FWIW. Let me know if I can provide any useful information.

--
"Print black" does not use black ink cartridge
https://bugs.launchpad.net/bugs/235399
You received this bug notification because you are a direct subscriber
of the bug.

Status in HP Linux Imaging and Printing: New
Status in “hplip” source package in Ubuntu: New

Bug description:
Binary package hint: openoffice.org

If I want to save money and print black text with black ink, I have to
select the "greyscale" printout mode. Of course, when I do that, my images also
come out black & white. There are evidently workarounds, or I can run the pages
through twice and hope the alignment is perfect, but I don't think that
should be necessary.

I'm running Kubuntu Hardy (8.04) with linux kernel 2.6.24-17-generic.

The version of OpenOffice.org is 1:2.4.0-3ubuntu6.

My printer is an HP Officejet 5610 All-in-One, which is a USB printer.

I thank you in advance for everything you do.

Prob...

Read more...

Ok, what I've been doing with my HP Photosmart 8050, even after all the
wonderful discussion and Q and A's from folks lots smarter than me, is this:
In
Preferences, I change the "Printing Shortcuts" to General Everyday Printing
(the default is, on mine anyway, is Custom Print Settings. THEN I go to the
tab
that says
"Color" and click Print in Greyscale, and I click Use Black Ink Only.

Now, I am SURE that my color cartridge is not going down as quickly as it
was before I even found you folks. Also, probably what I'm doing is not
altogether correct, or maybe too many steps, blah-blah-blah, but so far is
works for
me. It's obvious I don't print alot, so it's not a big deal to do it...Can't

get hubby to do it, tho, and he's the one that prints the most!

Good luck,
Mary

**************One site keeps you connected to all your email: AOL Mail,
Gmail, and Yahoo Mail. Try it now.
(http://www.aol.com/?optin=new-dp&icid=aolcom40vanity&ncid=emlcntaolcom00000025)

Xamusk (ronanpaixao) wrote :

The problem is not really OpenOffice.
This is a bug in the HP drivers.
I have seen it happen on all HP inkjet color printers I have used in my years of Linux usage (6 years, and I haven't used laser color printers to see if that happens to them).
Unfortunately, it seems not enough people complain about it.
Currently this is what I do:
after Ubuntu automatically installs the printer, I set it to print to color, in 600 dpi Black+Color cartridge (pick your poison here).
Then, I manually add a new printer, pointing it to the same printer, and set this one to print with only black cartridge.

At least in this way, I don't have to enter dialogs, tabs and menus just to set color, I just pick one of the printers.
Unfortunately, this still isn't good enough for mixed documents, then it still prints text as mixed color ink (that's why I just bought a bulk ink system).

Hope that helps.

Changed in hplip:
status: New → Triaged
jaduncan (jaduncan) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better. You reported this bug a while ago and there hasn't been any activity in it recently. We were wondering is this still an issue for you? Can you try with latest Ubuntu release? Thanks in advance.

ricardisimo (ricardisimo) wrote :

Just to update you on my situation, as per someone's recommendation above, I have been using 300dpi (or 600dpi, depending) Color, Black + Color Cartr. instead of relying on "Controlled by 'Printout Mode'". I have been having some success with this; at the very least I haven't noticed my color cartridges running dry at record paces.

I'm hoping that at some point in the future default will be "Color, Black + Color Cartr.", so that I won't have to manually select this every time. I have been eyeballing every CUPS update description since I reported this bug, and nothing seems to speak directly to it. Is this something that has been scheduled for and included with Jaunty? Thanks again for everything that you do.

ricardisimo (ricardisimo) wrote :

Oh, well... so much for that. It appears that I have yet again spoken too soon. I just printed about 100 pages of mixed black and color text, with color graphics, using "Color, Black + Color Cartr." to no avail. The whole while the printer was telling me that the "cartridge on the right" was low on ink. Well, that was the black ink. Page two of the same document is all black text, so I selected "Normal Greyscale, Black Cartr." and discovered just how low on black ink I really was, which was VERY low.

It suffices to say that I am right back at square one with this problem, which is that I have to run my mixed black-and-color pages through the printer twice, alternating which text is being whited out each time. Big pain in the neck! Please tell me that this is on the agenda for Jaunty! Thanks again.

We at Ubuntu cannot do much about it. It depends on the developers of HPLIP.

Changed in hplip:
status: Triaged → New
ricardisimo (ricardisimo) wrote :

Would it help for all of us to file bug reports on the HP site? Is there a link someone can give?

May I ask why the back-and-forth on this bugs status - "New" to "Triaged" to "New" again? I don't entirely understand the meanings behind each status name. Thanks.

Launchpad is also HP's official place for tracking HPLIP bugs. Therefore I have added the upstream task ("HPLIP").

Pi Boy, why did you change the status from "Triaged" to "New"? Please add a comment when changing status. Thanks.

durlo (rsanver) wrote :

I have got a Deskjet F2200 series printer, I've tried the workaround proposed by Eduardo Cereto and it works for me. I printed a document which contains black text and images and it was printed OK. Later, I removed the color cartridge from the printer and printed the document again; this time only the black text was printed, so the printer was using the black cartridge to print the text.

Sorry for my bad English.

Boudewijn (wankelwankel) wrote :

Though I do not use HP, I have a comparable problem with my Brother DCP-330c. If the problem is in the communication with HP specific, than my comment won't be of much help of course. On the other hand, maybe there's something in common on CUPS-level.

I just found out that on my system (Kubuntu; lsb_release says Ubuntu 8.04.2), the setting that seem to imply a lower quality give true black, while "higher" settings force CMY to be used. I use the CUPS web interface to set the printer options, and hope they don't get overridden by the (KDE/GTK) print dialog (it seems the dialog receives its initial settings from CUPS so that is OK)

CUPS/Printers/Set Printer Options gives some sections: "General", "Image Type", "Color Enhancement", "Banners" and "Policies". I guess the available options depend on the driver, but I have no other printer at hand to compare it to.

The Settings that allow me to "talk" CUPS into printing true black are "General/Quality", "General/Color-Grayscale" and, peculiarly enough, "General/Media Type"

For monochrome printing (grayscale, black and white):
- general color/grayscale to grayscale, of course
- general quality to normal or lower (fast, fast-normal or normal)
- general media type to plain paper (!)

If I set "paper type" to anything more suitable for printing (inktjet, photo or transparencies), "quality" has to be at least "fine" (fine, photo, highest are the other options then). The higher "quality" options force CMY to be used instead of black. The "color/grayscale" option only toggles whether it looks like grayscale or actual colors.

For me it is quite easy to discern whether black or CMY is used: magenta got "stuck" (some of the printers' intestines choked on a refill a while ago), so if CMY is used, it's actually greenscale instead of grayscale.

Since I refill with cheap ink, it is OK for me to try out some test scenarios. If there are some scenarios to be tested on the other hand, it could be that I won't respond with a day (perhaps a week or so, sorry beforehand).

David Rahrer (david-rahrer) wrote :

I have the same issue as the OP and have been following this since last year. This is a very expensive bug! Is there another location where HP has been notified of this or should I do so? If so, where? As widespread as this seems to be, and as expensive as HP ink is, I'm not sure I understand why there isn't more going on.

I'm quite willing to help test patches or updated versions, but I don't know who is doing the work, if anyone. It is frustrating. Where can one do the most good to help bring about a fix?

ST (shantingst) wrote :

I have the same problem,too.I'm using the HP Deskjet F378.
I'm running Ubuntu 9.10 with linux kernel 2.6.31.

And I. And yes it's making me spend more money than I would like to spend for printing. I wish there was a fix for this.

SuperTux (neotuxi) wrote :

I have that problem with my HP Officejet 5610. Black text is printed in grey with the color cartridge. Please fix that very soon.

David Rahrer (david-rahrer) wrote :

I continue to have this issue in 9.10 Karmic with my HP Officeject 5610 as well. I'm glad to see the status of this is set now to "High." Is there any feedback on the cause/solution? I am able to refill black but don't have much luck with color, so this is quite expensive for me. The output is also sub-par because black text does not look as it should, dark and crisp.

Changed in hplip (Ubuntu):
status: New → Fix Released
status: Fix Released → New

I remember that there was a driver not too long ago that printed in black correctly but the margins were off. I filed a bug about this also:

https://bugs.launchpad.net/hplip/+bug/405116

Maybe someone can adapt that old driver to the new one to get it to print in black correctly. I know nothing of the internals so this is just a suggestion.

I have suffered from this bug all along, and still see it with Karmic on my HP Deskjet 9800.

Anzenketh (anzenketh) on 2010-02-25
Changed in hplip:
status: New → Confirmed
Changed in hplip (Ubuntu):
status: New → Confirmed
David Rahrer (david-rahrer) wrote :

This is a very expensive and frustrating bug now in it's second year -- a least 3 releases and Lucid seems to be affected as well. It feels as though it has been orphaned and nothing is really changing (has it ever been assigned to anyone?). Should we be doing something else, contacting another team? I'm using 3 tricolor to one black cartridge -- making black with the color cartridge uses more ink and the ink is more expensive. the result is not even a good black. HP printers seem to be common hardware for Ubuntu users since so many are well supported. Many of these probably just don't realize that this is why their color ink is going so fast, especially if they do a lot of color printing as well.

What can we do? I'm happy to test, debug, or create another bug report. Is it certain now that HPLIP contains the code responsible for the problem? It seems that knowing which cartridge to draw ink from would be rather important, esp considering the expense to users.

tristan8276 (tristan8276) wrote :

I agree with you and there shouldn't be a need to contact another team or to resubmit a bug report. This one should suffice.

Did you check on the Debian bug report #531858? It seemed there may be some information there that may be helpful. This is a high importance bug, so I'm sure someone will pick it up before Lucid's final release.

David Rahrer (david-rahrer) wrote :

All I found on the Debian bug report was "This bug is not within the scope of Debian to fix."

Changed in hplip (Ubuntu):
assignee: nobody → HP Linux Imaging and Printing (hplip)
Rodrigo G Souza (roldribluk) wrote :

i've got a PSC 1350! a Ubuntu 2.6.31-20 the printer seems to be lost because my color cartridge is empty and the supplies says Status; GOOD/OK and Approx. Level; is empty then i send to print and the page came out empty, pure white crazy and you need the printer...Thank's...

Changed in hplip (Debian):
status: Unknown → Confirmed
David Rahrer (david-rahrer) wrote :

Does anyone know if there has been any progress on this?

Peggy Hadermann (brevardo) wrote :

I've tried to install hplip and I have an HP 3650 printer and for some reason my printer configuration still doesn't recognize it properly? (See screenshot below ) As a result it's printing blank text with my black cartridridge?

jhoechtl (johann-hoechtl) wrote :

I have no HP Printer at all, but the same result. As such I think it's OpenOffice which does the wrong think rather then the hplip (might have similar bug)

My printer is Samsung CLP610ND and when I select grayscale in prtinter dialogue OR Tools/Options/Print/Convert colors to grayscale, the printer acutally uses composite of CMY rather then the K toner. From a point of view this is actually much worsre then just go ahead and print in color!!!!

This bug shall be assigned to the openoffice team, I have a look at Openoffice bugs, if they are aware or working on it.

jhoechtl (johann-hoechtl) wrote :

There is no such bug at http://www.openoffice.org/issues/query.cgi which makes it either a linux subsystem bug or a problem of my particular driver too.

This is definitely not an openoffice bug because I've been printing pdf's from evince and the black cartridge is not used at all for black only documents.

Same here, not restricted to Open Office for me. It astounds me that this
is over two years old and nothing has been done. It is a very prominent and
expensive bug. I do not know how to code at this level, but I'm available
to help debug and test. There just doesn't seem to be anyone out there to
take it on.

David Rahrer

2010/6/3 José Alburquerque <email address hidden>

> This is definitely not an openoffice bug because I've been printing
> pdf's from evince and the black cartridge is not used at all for black
> only documents.
>
> --
> "Print black" does not use black ink cartridge
> https://bugs.launchpad.net/bugs/235399
> You received this bug notification because you are a direct subscriber
> of the bug.
>

El Jun 3, 2010, a las 4:24 PM, David Rahrer <email address hidden>
escribió:

> Same here, not restricted to Open Office for me. It astounds me
> that this
> is over two years old and nothing has been done. It is a very
> prominent and
> expensive bug. I do not know how to code at this level, but I'm
> available
> to help debug and test. There just doesn't seem to be anyone out
> there to
> take it on.

I for one have been printing from a windows machine running in
vmware. Rereading this thread suggests other solutions, but indeed it
is amazing that this has not been fixed for _so_ long.

--
José

Traz (traz) wrote :

This is not a fix but a solution if you want to use the black cartridge.

You can duplicate you printer and set its quality settings to Grayscale. This way you have a printer for black and another one for color.

---------- Forwarded Message ----------

Subject: Bug#531858: hpijs: missing a decent color and black default for hp-5600
Date: Friday 05 June 2009, 00:31:40
From: alex bodnaru <alexbodn@012.net.il>
To: Debian Bug Tracking System <email address hidden>

Package: hpijs
Version: 3.9.4b-1
Severity: normal

hello friends,

thank you for sharing your great work.

in the printer options for an hp-5600 machine, there are 2 printout mode
selection options. the second one would allow using the choice for the
first one, or additional modes.
the first combo shows printout modes that are color-only or black-only,
but not the most useful modes with automatic choice of black or color,
depending on the printed material. this kind of mode may be selected in
the second combobox only.
not only this kind of feature is highly needed, it would be desirable to
make this kind of option the default in the first printout mode combo.

best regards,
alex

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (990, 'testing'), (300, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.26-2-686 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages hpijs depends on:
ii cups 1.3.10-2 Common UNIX Printing System(tm) -
ii cups-client 1.3.10-2 Common UNIX Printing System(tm) -
ii cupsddk 1.2.3-5+b1 CUPS Driver Development Kit
ii foomatic-filters 4.0-20090509-1 OpenPrinting printer support - fil
ii ghostscript 8.64~dfsg-1.1 The GPL Ghostscript PostScript/PDF
ii hplip 3.9.4b-1 HP Linux Printing and Imaging Syst
ii libc6 2.9-12 GNU C Library: Shared libraries
ii libdbus-1-3 1.2.12-1 simple interprocess messaging syst
ii libgcc1 1:4.4.0-5 GCC support library
ii libjpeg62 6b-14 The Independent JPEG Group's JPEG
ii libsnmp15 5.4.1~dfsg-12 SNMP (Simple Network Management Pr
ii libssl0.9.8 0.9.8g-16 SSL shared libraries
ii libstdc++6 4.4.0-5 The GNU Standard C++ Library v3
ii libusb-0.1-4 2:0.1.12-13 userspace USB programming library

hpijs recommends no packages.

Versions of packages hpijs suggests:
ii hpijs-ppds 3.9.4b-1 HP Linux Printing and Imaging - HP
pn hplip-doc <none> (no description available)

-- no debconf information

-----------------------------------------

Download full text (3.8 KiB)

forwarded 587578 https://bugs.launchpad.net/ubuntu/+source/hplip/+bug/235399
merge 531858 587578
tags 587578 upstream confirmed
thanks

Mark,

Thanks for your report. This is a frustrating bug that has been reported upstream over two years ago and is costing people real money.

I have added your report to the upstream report, but please feel free to add any additional comments to the upstream report at launchpad.

Mark

---------- Forwarded Message ----------

Subject: [Pkg-hpijs-devel] Bug#587578: hplip: adaptive greyscale (don't use color to print black, it's expensive)
Date: Wednesday 30 June 2010, 08:11:36
From: Mark Hedges <email address hidden>
To: Debian Bug Tracking System <email address hidden>

Package: hplip
Version: 3.10.5-1
Severity: wishlist

It seems like when I print a page of black text using the
default 'Normal Color' printer setting, it uses the color
cartridge to print black. I notice this when the color
catridge runs out of ink or when the paper jams and it
prints only one or two colors instead of all of them.
The color cartridge is for printing color. The black ink
cartridge is for printing black, and is less expensive.
As a result, I have to selectively print pages that might
have color pictures on them, and switch to 'Normal Greyscale'
to print pages that do not. There ought to be a way for
the driver to detect whether it is printing b/w or color,
and use the appropriate cartridge for the appropriate pixels.

Thanks.
Mark

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (990, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages hplip depends on:
ii adduser 3.112 add and remove users and groups
ii coreutils 8.5-1 GNU core utilities
ii cups 1.4.3-1 Common UNIX Printing System(tm) -
ii cups-client 1.4.3-1 Common UNIX Printing System(tm) -
ii hplip-data 3.10.5-1 HP Linux Printing and Imaging - da
ii libc6 2.11.1-3 Embedded GNU C Library: Shared lib
ii libcups2 1.4.3-1 Common UNIX Printing System(tm) -
ii libdbus-1-3 1.2.24-1 simple interprocess messaging syst
ii libhpmud0 3.10.5-1 HP Multi-Point Transport Driver (h
ii libsane 1.0.21-2 API library for scanners
ii libssl0.9.8 0.9.8o-1 SSL shared libraries
ii lsb-base 3.2-23.1 Linux Standard Base 3.2 init scrip
ii policykit-1 0.96-2 framework for managing administrat
ii python 2.5.4-9 An interactive high-level object-o
ii python-dbus 0.83.1-1 simple interprocess messaging syst
ii python-imaging 1.1.7-1+b1 Python Imaging Library
ii python-pexpect 2.3-1 Python module for automating inter

Versions of packages hplip recommends:
ii avahi-daemon 0.6.25-3 Avahi mDNS...

Read more...

reassign 591212 hplip
severity 531858 important
forwarded 531858 https://bugs.launchpad.net/hplip/+bug/235399
forcemerge 531858 591212
affects 531858 hplip-cups hpijs
thanks

Harishankar,

Thanks for your report. This is a frustrating bug that has been reported upstream over two years ago and is costing people real money, but there is little Debian can do to fix.

I have added your report to the upstream report, but please feel free to add any additional comments to the upstream report at launchpad. https://bugs.launchpad.net//hplip/+bug/235399

Mark

---------- Forwarded Message ----------

Subject: [Pkg-hpijs-devel] Bug#591212: [hplip-cups] Printing in colour mode does not use black cartridge on HP PSC 1315 multifunction printer
Date: Sunday 01 August 2010, 15:59:30
From: Harishankar <email address hidden>
To: <email address hidden>

Package: hplip-cups
Version: 3.10.5-4
Severity: important

--- Please enter the report below this line. ---

I am using a HP PSC 1315 multifunction printer. I am aware that this is
a LIDIL printer which doesn't have advanced features including
automatic colour mapping in firmware.

While printing in Linux using the HPLIP-CUPS driver printer does not
automatically use the black cartridge to print black when printing in
"normal color" or "draft color" mode and so even black text is printed
as blue-grey instead of pure black since it uses only the colour
cartridge.

I have seen this same problem also affect the old HPIJS driver when
used in CUPS.

Is there anything you can do to solve this problem as it is very
annoying to have to print everything in greyscale?

--- System information. ---
Architecture: amd64
Kernel: Linux 2.6.32-3-amd64

Debian Release: squeeze/sid
  500 testing security.debian.org
  500 testing http.us.debian.org
  500 testing ftp.tw.debian.org
  500 testing deb.opera.com

--- Package information. ---
Depends (Version) | Installed
==================================-+-==============
libc6 (>= 2.2.5) | 2.11.2-2
libcups2 (>= 1.4.0) | 1.4.4-1
libcupsimage2 (>= 1.4.0) | 1.4.4-1
libgcc1 (>= 1:4.1.1) | 1:4.4.4-7
libhpmud0 | 3.10.5-4
libjpeg62 (>= 6b1) | 6b1-1
libssl0.9.8 (>= 0.9.8m-1) | 0.9.8o-1
libstdc++6 (>= 4.1.1) | 4.4.4-7
ghostscript-cups | 8.71~dfsg2-3
cups (>= 1.4.0) | 1.4.4-1
 OR cupsddk |
cups | 1.4.4-1
cups-client | 1.4.4-1

Package's Recommends field is empty.

Suggests (Version) | Installed
==========================-+-=============
hplip-doc |
hplip (= 3.10.5-4) | 3.10.5-4

--
 V.Harishankar

http://lawstudentscommunity.com
http://harishankar.org
-----------------------------------------

Changed in hplip:
importance: Undecided → High
Sébastien Grenier (sgrenier) wrote :

I have the problem too. In every application I try to print I got this bug.

Distro: Ubuntu 10.4
HPLIP Version: HPLIP 3.10.2-2ubuntu2
Printer Model: HP All-in-one 1200 (PSC 1200)

David Rahrer (david-rahrer) wrote :

Is there any progress on this at all? I see there is work being done on LIDIL problems, but this one seems far more widespread and certainly more expensive. My shipping labels are coming out light blue-grey and cause issues with the scanners. Not to mention burning through color cartridges at $30 each. I just can't figure out how this bug could remain for years without correction. Canonical should at least add this information to the hardware page as a warning on using HP Inkjets. It's a shame since HP had been an excellent partner.

Changed in hplip (Ubuntu):
status: Confirmed → In Progress

Now, after so long time that HP did not come up with a solution, I have prepared a patch now to add all missing two-cartridge modes to the PPD files of hpcups, make the normal color mode for two cartridges (black and color) the default, and to let the chjoices of the "Printout Mode" option of the HPIJS PPDs point to two-cartridge mode. Using these printers with only the color cartridge got rare. I do not know whether there are still models sold this way and probably owners of a printer which came with only one cartridge quickly bought a black cartridge. Therefore I am assuming now that the printers of the users are equipped with two cartridges but the user can always also choose a one-cartridge mode if needed.

But note: There can be modes which do not work on your particular printer. Some printers for example do not support photo cartridges, others have simply the photo mode not working but the rest works perfectly. Please try. Independent of this all printers should now work with the default setting if a black and a color cartridge are installed.

The fix will be applied to the next Maverick package.

Fixed in hplip 3.10.6-1ubuntu8 for Ubuntu Maverick.

Changed in hplip (Ubuntu):
status: In Progress → Fix Released
tags: added: patch
David Rahrer (david-rahrer) wrote :

Excellent work, Till, thank you for picking up HP's slack. I was just about to dump our printers for another brand. I'm having some trouble patching and building this to incorporate your fix. Before I screw it up further, is there now a patched, compiled version for Lucid somewhere? Since Lucid is a LTS release, I would think a backport or update would be in order, or perhaps someone has a PPA available even. Whatever it takes to get this issue cleared up quickly now that you have fixed it!

Thanks again for your work on this.

Download full text (3.9 KiB)

Hi, David;

I'm not Till, the guy who did the the hplip update. I have talked with him. he wrote hplip 3.10.6 to go into cups 1.4.4-6ubuntu2 in Meerkat. I looked around and found hplip 3.10.6 separately, without any documentation for dependencies. Since development notes indicated that 3.10.6 had been written to go into cups with Meerkat I decided to wait the few remaining days until Meerkat was released. Hplip 3.10.6 is downloadable through Package Manager, and I imagine that now Meerkat has been released there will be a return to Lynx updates, although I don't know how frequently, so it shouldn't be too long until the cups update arrives. In the meantime you can set the Printer/Properties/Device in any application you use to print to grayscale and in the Printer/Options remember to check on the Print Black box. You have to check the Print Black box for each job, because the printer settings don't hold. Once you have hplip 3.10.6 you can check the printer driver
 directly and pick one of the two cartridge options. You can pick the grayscale option in your current HP printer driver, too, but it does stop you from using color with some printers.

Hope that helps. Rather than juggle packages, I installed Meerkat, partly from laziness, partly because I love being a beta tester, and now I'm waiting for the Meerkat team to give me back some control. I deliberately killed Unity the other night and spent an hour running xwindows in recovery just to see what I could do with Meerkat in basic GNOME. I ran a print job out of Open Office using an HP 3500 with an empty color cartridge I want to replace next weekend. Everything looks fine.

Bill Trimmer

--- On Thu, 10/14/10, David Rahrer <email address hidden> wrote:

From: David Rahrer <email address hidden>
Subject: [Bug 235399] Re: "Print black" does not use black ink cartridge
To: <email address hidden>
Date: Thursday, October 14, 2010, 2:49 PM

Excellent work, Till, thank you for picking up HP's slack.  I was just
about to dump our printers for another brand.  I'm having some trouble
patching and building this to incorporate your fix.  Before I screw it
up further, is there now a patched, compiled version for Lucid
somewhere?  Since Lucid is a LTS release, I would think a backport or
update would be in order, or perhaps someone has a PPA available even.
Whatever it takes to get this issue cleared up quickly now that you have
fixed it!

Thanks again for your work on this.

--
"Print black" does not use black ink cartridge
https://bugs.launchpad.net/bugs/235399
You received this bug notification because you are a direct subscriber
of a duplicate bug (652307).

Status in HP Linux Imaging and Printing: Confirmed
Status in “hplip” package in Ubuntu: Fix Released
Status in “hplip” package in Debian: Confirmed

Bug description:
Binary package hint: openoffice.org

If I want to save money and print black text with black ink, I have to select the "greyscale" printout mode. Of course, when I do that, my images also come out black & white. There are evidently workarounds, or I can run the pages through twice and hope the alignment is perfect, but I don't think that should be necessary.

I'm running Kubun...

Read more...

David Rahrer (david-rahrer) wrote :

I'm using the LTS Lucid, is there any indication that this patch will be backported for that? Or what would be the appropriate place to ask about this? Three years is a long time to mess with this issue, especially since Till has put in the work to fix it. Thanks.

mtom (thloh) wrote :

Hi David,

I'm also using Lucid and suffer from the same problem. After looking over Till's patch I found out, you can fix it easily for yourself by making some adjustments to one file and resetup your printer. I'll describe it in detail for my case. I'm using a HP OfficeJet 5600.

First, open the file /usr/share/cups/drv/hpijs.drv in your favourite text editor.
Then, we need to find the real device for your model, in my case, I searched for "Officejet 5600" an the scrolled upwards to find the beginning of a definition like this

//////////////////////// DJ3600
{

So I know now, my printer is actually a kind of DeskJet 3600.

If you go down a few lines, you will see some attribute definitions. Look for "FoomaticRIPOptionSetting" and "PrintoutMode=..."
The "PrintoutMode" is what you want to adjust.

For example:

Attribute "FoomaticRIPOptionSetting" "PrintoutMode=Normal" "Quality=300ColorCMY"

Edit this line and add a "K" for "blacK" add the and of the quality setting so it reads like this:

Attribute "FoomaticRIPOptionSetting" "PrintoutMode=Normal" "Quality=300ColorCMYK"

Repeat this step with all other printout setting, which are missing the "K". My attributes look like the following:

  Attribute "FoomaticRIPOptionSetting" "PrintoutMode=Draft" "Quality=300DraftColorCM&&
YK"
  Attribute "FoomaticRIPOptionSetting" "PrintoutMode=Draft.Gray" "Quality=300DraftGr&&
ayscaleK"
  Attribute "FoomaticRIPOptionSetting" "PrintoutMode=Normal" "Quality=300ColorCMYK"
  Attribute "FoomaticRIPOptionSetting" "PrintoutMode=Normal.Gray" "Quality=300Graysc&&
aleK"
  Attribute "FoomaticRIPOptionSetting" "PrintoutMode=High" "Quality=600ColorCMYK"
  Attribute "FoomaticRIPOptionSetting" "PrintoutMode=High.Gray" "Quality=600Grayscal&&
eK"

The "&&" is some kind of line continuation sign. Just add the "K" in the next line.

Save the file, delete your printer and re-setup it again. It should now print using both cartridges.

If you would like to adjust the textual lines for printout mode in cups you could do this in the section of your printer, too.

Search for "Choice", of course in the section of your printer device only, and edit the labels. Mine are

    Option "PrintoutMode/Printout Mode" PickOne AnySetup 10.0
      Choice "Draft/Draft (Black and color cartridge)" "%% FoomaticRIPOptionSetting: PrintoutMode=Draft"
      Choice "Draft.Gray/Draft Grayscale (Black cartridge)" "%% FoomaticRIPOptionSetting: PrintoutMode=Draft.Gray"
      *Choice "Normal/Normal (Black and color cartridge)" "%% FoomaticRIPOptionSetting: PrintoutMode=Normal"
      Choice "Normal.Gray/Normal Grayscale (Black cartridge)" "%% FoomaticRIPOptionSetting: PrintoutMode=Normal.Gray"

My printer works flawlessly since then. Hope, I could help.

Regards
Thomas

David Rahrer (david-rahrer) wrote :

Thomas! Thank you so much, it worked perfectly!! If anyone has this issue and is using Lucid, I recommend following Thomas' instructions above. If you are using Maverick +, it should be fixed thanks to Till. Over two years of grief with this expensive issue finally comes to a close.

Herczeg Zsolt (zsolt94) wrote :

I think, i have this bug in Lucid (Ubuntu 10.04)

I had to install the newest hplip to support my printer.
I can't fix the bug with mtom's solution, becaouse there is no file: /usr/share/cups/drv/hpijs.drv

What should I do?

(My printer is an OfficeJet 6500 e710n, and it only uses black ink, if I use the Black-Only Grayscale)

Andrew Cunningham (ajcunn) wrote :

My deskjet D4260 only uses black. I guess I should thow this piece of #%$#@ away and go get an Epson or something.

Changed in hplip:
status: Confirmed → Fix Released
status: Fix Released → In Progress
Sanjay Kumar (sanjay-kumar14) wrote :

This defect is fixed in HPLIP version 3.11.5. This fix should be applicable to DJ3320 and DJ3600 tech classes. These tech classes include following devices.

HP PSC 1100 Series

HP PSC 1200 Series

HP Deskjet d1300 Series

HP Deskjet d1400 Series

HP Deskjet d1500 Series

HP Deskjet f2100 Series

HP Deskjet f2200 Series

HP Deskjet 3320

HP Deskjet 3325

HP Deskjet 3500

HP Deskjet 3550

HP Deskjet 3740

HP Deskjet 3900

HP Deskjet 3910

HP Deskjet 3920

HP Deskjet 3940

HP Officejet 4100 Series

HP Officejet 4105

HP Officejet 4115 Series

HP Officejet 4300 Series

HP Deskjet 3420

HP Deskjet 3425

HP Deskjet 3450

HP Deskjet f300 Series

HP 910

HP 915

HP PSC 1300 Series

HP PSC 1310 Series

HP PSC 1358 Series

HP PSC 1400 Series

HP Deskjet d2300 Series

HP Deskjet d2400 Series

HP Officejet j3500 Series

HP Officejet j3600 Series

HP Deskjet 3600

HP Deskjet 3650

HP Deskjet 3840

HP Deskjet f4100 Series

HP Officejet 4200 Series

HP Officejet 4255

HP Officejet 5500 Series

HP Officejet j5500 Series
HP Officejet 5600 Series

New option "Installed Cartridges" is added in the GUI for these printers which will enables users to select the correct cartridges to use for printing. Please let us know if you still face any issue in above mentioned devices. Thanks for using HPLIP.

Tim Waugh (twaugh) wrote :

I've seen a report of 3.11.5 still getting this wrong with an HP DeskJet F2200.

Original report:
  https://bugzilla.redhat.com/show_bug.cgi?id=581656

==>
OK, with 3.11.5-3, I deleted the printer and then re-installed it (so, fresh
PPD). On the default settings, it now appears to be over-printing blacks (i.e.,
using the black cartridge and then wasting colour ink by going over the same
region). The colour half-toning is still coarse.
<==

Tim Waugh (twaugh) wrote :

This is still broken in 3.11.10 (see comment #71).

The hpcups driver gives over-printed blacks, using black ink *and* composite colour ink, with loss of quality/resolution in colour
dithering.

Only the hpijs driver works correctly (tried "600 dpi, color, black + color cartridge").

I encounter this problem still with 3.11.10 (manually installed on Ubuntu 11.04). My printer is HP Laserjet Pro CM1415fn MFP.

You can easily follow the page counter inside the printer. No matter, what you print, color pages or pure black/white text pages, the counter for color pages increases. Whereas, when you print from a Windows machine, the counter for color pages will only increase, when printing color, otherwise the counter for mono pages increases.

Niels Horn (niels-horn) wrote :

Also encountered this problem with a HP cp1025 color laserprinter. Bad thing is it prints black text in black in Windows :)

Joe Mulloy (jdmulloy) wrote :

I am stillhaving this issue with my HP Deskjet D2360. For the hpijs PPD the problem is that the default "Quality" setting for Color PrintoutModes is CMY instead of CMYK. I am really pissed that this issue still hasn't been addressed. Is anyone even working on this? I'm trying to patch it on OpenSuse but I can get my head around the way things work as far as generating PPDs. I could just change this for my printer model but that won't help many people. I can't understand the hpcups version of the PPD, it's practically written in a different language. Why does each printer have two PPDs? Shouldn't we just have ONE that's not broken instead of two for each printer? I submitted bug 707082 about this issue and it's been COMPLETELEY IGNORED. This is a huge bug, why is no one fixing this?

The offending lines in (hp-deskjet_d2300_series-hpijs.ppd) look like this:

*FoomaticRIPOptionSetting PrintoutMode=Draft: "Quality=300DraftColorCM&&
Y"
*End
*FoomaticRIPOptionSetting PrintoutMode=Draft.Gray: "Quality=300DraftGr&&
ayscaleK"
*End
*FoomaticRIPOptionSetting PrintoutMode=Normal: "Quality=300ColorCMY"
*FoomaticRIPOptionSetting PrintoutMode=Normal.Gray: "Quality=300Graysc&&
aleK"
*End
*FoomaticRIPOptionSetting PrintoutMode=High: "Quality=600ColorCMY"
*FoomaticRIPOptionSetting PrintoutMode=High.Gray: "Quality=600Grayscal&&
eK"

When they ought to look like this

*FoomaticRIPOptionSetting PrintoutMode=Draft: "Quality=300DraftColorCM&&
YK"
*End
*FoomaticRIPOptionSetting PrintoutMode=Draft.Gray: "Quality=300DraftGr&&
ayscaleK"
*End
*FoomaticRIPOptionSetting PrintoutMode=Normal: "Quality=300ColorCMYK"
*FoomaticRIPOptionSetting PrintoutMode=Normal.Gray: "Quality=300Graysc&&
aleK"
*End
*FoomaticRIPOptionSetting PrintoutMode=High: "Quality=600ColorCMYK"
*FoomaticRIPOptionSetting PrintoutMode=High.Gray: "Quality=600Grayscal&&
eK"

Joe Mulloy (jdmulloy) wrote :

Taking a second look at the hpcups PPD it looks like it's been fixed, the default cartridge config is Color+Black. I'll test tomorrow to see if this fixes it. I believe the hpijs PPD is still broken.

Mark Purcell (msp) wrote :
Download full text (6.9 KiB)

http://patch-tracker.debian.org/patch/series/view/hplip/3.12.6-3/01_rss.dpatch

#!/bin/sh /usr/share/dpatch/dpatch-run
## rss.dpatch by Torsten Landschoff <email address hidden>
##
## All lines beginning with `## DP:' are a description of the patch.
## DP: Blank-ink-only patch by Richard Spencer-Smith

@DPATCH@
Index: hplip-3.12.4/prnt/hpijs/breaks_open.cpp
===================================================================
--- hplip-3.12.4.orig/prnt/hpijs/breaks_open.cpp 2012-04-10 18:39:32.000000000 +1000
+++ hplip-3.12.4/prnt/hpijs/breaks_open.cpp 2012-05-26 10:21:29.000000000 +1000
@@ -1078,7 +1078,10 @@

 {
 0, 0, 255, 0,
-0, 1, 255, 0,
+// 2001.06.16 mrb: changed the value to 0. With the original "1"
+// the printer sometimes prints empty lines...
+//0, 1, 255, 0,
+0, 0, 255, 0,
 0, 3, 255, 0,
 0, 5, 255, 0,
 0, 7, 255, 0,
Index: hplip-3.12.4/prnt/hpijs/dj660_maps.cpp
===================================================================
--- hplip-3.12.4.orig/prnt/hpijs/dj660_maps.cpp 2012-04-10 18:39:32.000000000 +1000
+++ hplip-3.12.4/prnt/hpijs/dj660_maps.cpp 2012-05-26 10:21:29.000000000 +1000
@@ -38,7 +38,10 @@
 //const
 uint32_t ulMapDJ660_CCM_KCMY[ 9 * 9 * 9 ]=
     {
- 422720226UL, 142187374UL, 94354238UL, 62442785UL, 45668877UL, 27648516UL, 8972032UL, 7335680UL, 5895424UL,
+// 2001.06.14 mrb: Replaced the first entry so the printer will
+// use only the black pen when he should print real black.
+// 422720226UL, 142187374UL, 94354238UL, 62442785UL, 45668877UL, 27648516UL, 8972032UL, 7335680UL, 5895424UL,
+ 226UL, 142187374UL, 94354238UL, 62442785UL, 45668877UL, 27648516UL, 8972032UL, 7335680UL, 5895424UL,
 2519110233UL, 807846483UL, 391693109UL, 260029471UL, 143570703UL, 42776580UL, 8501760UL, 7782400UL, 6539520UL,
 3072173868UL, 1881129514UL, 841465387UL, 524792087UL, 358391818UL, 174364420UL, 40408577UL, 6920704UL, 6530560UL,
 3407591425UL, 2551891200UL, 1612695808UL, 824489479UL, 506699268UL, 306153730UL, 105283329UL, 5144320UL, 5737216UL,
Index: hplip-3.12.4/prnt/hpijs/dj690_maps.cpp
===================================================================
--- hplip-3.12.4.orig/prnt/hpijs/dj690_maps.cpp 2012-04-10 18:39:32.000000000 +1000
+++ hplip-3.12.4/prnt/hpijs/dj690_maps.cpp 2012-05-26 10:21:29.000000000 +1000
@@ -38,7 +38,10 @@
 uint32_t ulMapDJ690_CMYK[ 9 * 9 * 9 ]=
 // DJ690_CMYK
     {
- 337848575UL, 37838470UL, 155209268UL, 137905152UL, 36454656UL, 2310144UL,
+// 2001.06.14 mrb: Replaced the first entry so the printer will
+// use only the black pen when he should print real black.
+// 337848575UL, 37838470UL, 155209268UL, 137905152UL, 36454656UL, 2310144UL,
+ 226UL, 37838470UL, 155209268UL, 137905152UL, 36454656UL, 2310144UL,
    2179072UL, 2051072UL, 1733120UL, 2013280119UL, 385897321UL, 303379741UL,
  270610688UL, 102772224UL, 1844992UL, 1911552UL, 1847296UL, 1784832UL,
 2080387626UL, 1157643294UL, 452996881UL, 335555072UL, 202384384UL, 50991872UL,
Index: hplip-3.12.4/prnt/hpijs/dj895_maps.cpp
===================================================================
--- hplip-3.12.4.orig/prnt/hpijs/dj895_maps.cpp ...

Read more...

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.